atomic_add_negative
Prev | Atomic and pointer manipulation | Next

## Name

atomic_add_negative — add and test if negative

## Synopsis

`int atomic_add_negative (` | int | i,
| atomic_t * | v`)`;

## Arguments

`i`

  integer value to add

`v`

  pointer of type atomic_t

## Description

Atomically adds `i` to `v` and returns true if the result is negative, or false when result is greater than or equal to zero.

Prev | Up | Next
atomic_inc_and_test | Home | atomic_add_return